Subject: Re: GNUMAKE help...
From: [email-masked] (Earnie Boyd)

28 Jul 1998 03:16:49 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "John G. Alvord" <[email-masked]>
Cc: gw32 <[email-masked]>

Create the filename patterns like this

[Ff][Ii][Ll][Ee][Nn][Aa][Mm][Ee]

It's messy and hard to read but at least it won't matter which letters
are lower and which are upper.

---"John G. Alvord" <[email-masked]> wrote:
>
>  I have spent a couple days trying to use the GNUmake Cygnus binary
> (19.1beta) and have run into a puzzle I can't solve. If someone could
> supply a clue, I will be on my way fixing the bug or supplying the
> needed option.
> 
> I am in a NT environment, porting a fairly large UNIX/OS2 make file
> suite. The last problem seems to be that the make processing does not
> recognize the  case insensitivity of the NT file system.  I have a
list
> of target files, expressed all in lower case ala unix. The files exist
> on NT but are mostly upper case internally (because they come from a
> source archive that keeps them in upper case). A pattern rule can't
find
> them. When I make a copy of the files involved, and copy one back so
it
> has a lower case name... then the pattern rule triggers. I can't just
> rename them all to lower case because the rename command belives that
> filename and FILENAME are the same and refuses to do the deed.
> 
> I would appreciate any hints.
> 
> I have read all the doc, and some of the source (main.c/read.c/job.c)
> and can't find any references. I am running using MAKE_MODE=UNIX
because
> I need the sh.exe facilities.
> 
> Thanks for your time!!
> 
> john
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".